#!/bin/bash

DBUS_PATH=$1

function main() {
	local confirm_str="This tool will close and reset WPS.Do you wish to proceed?"
	local tr_confirm_str
	tr_confirm_str=$(Translate "${confirm_str}")

	local select
	select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
	if [ "${select}" == "no" ]; then
		exit 255
	fi

	local packagename="wps-office"
	if dpkg -l | grep -q "${packagename}"; then
		if pgrep -x wps >/dev/null; then
			local msg_no="The wps is open,plese shutdown the app"
			local tr_msg_no
			tr_msg_no=$(Translate "${msg_no}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
			exit 255
		fi

		echo "Fixing the problem..."
		if [ -d $HOME/.config/Kingsoft ]; then
			rm -rf $HOME/.config/Kingsoft
		fi

		if [ -d $HOME/.local/share/Kingsoft/office6 ]; then
			mkdir $HOME/.local/share/Kingsoft_bak
			mv $HOME/.local/share/Kingsoft/office6/data/backup $HOME/.local/share/Kingsoft_bak
			rm -rf $HOME/.local/share/Kingsoft
			mkdir -p $HOME/.local/share/Kingsoft/office6/data
			mv $HOME/.local/share/Kingsoft_bak/backup $HOME/.local/share/Kingsoft/office6/data
			rm -rf $HOME/.local/share/Kingsoft_bak
		fi
		echo "The problem has been fixed."

		local msg="The issue has been successfully resolved"
		local tr_msg
		tr_msg=$(Translate "${msg}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
		exit 0
	else
		local msg_no="The WPS has not been install"
		local tr_msg_no
		tr_msg_no=$(Translate "${msg_no}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no}" "info"
		exit 255
	fi

}

main
