#!/bin/bash
#应用场景及说明:   修复输入法无法使用（有网络重装，无网络删除配置后重启）
DBUS_PATH=$1

function main() {
    IP=www.baidu.com
    Sogou_Input=sogouimebs
    ping -c 1 $IP && >/dev/null
    if [ $? -eq 0 ]; then
        #有网情况下重装
        local confirm_str="This repair will uninstall all input methods on your machine for repair purposes. Are you sure you want to proceed with this operation?"
        local tr_confirm_str
        tr_confirm_str=$(Translate "${confirm_str}")
        local select
        select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
        if [ "${select}" == "no" ]; then
            exit 255
        fi
        echo "uninstall sogouimebs and clean input methods configuration"
        dpkg -s $Sogou_Input &>/dev/null
        if [ $? -eq 0 ]; then
            SudoWrapper -s "dpkg -P $Sogou_Input"
            rm -rf "/home/$(whoami)/.config/sogouimebs"
            rm -rf "/home/$(whoami)/.config/fcitx"
        fi
        echo "reinstall fcitx"
        SudoWrapper -a "apt -y reinstall fcitx"
        if [ $? -ne 0 ]; then
            content="The software package installation has failed,Please manually execute [sudo apt reinstall fcitx] to view more details"
            tr_content=$(Translate "${content}")
            ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
            exit 1
        fi
        echo "install sogouimebs"
        SudoWrapper -a "apt -y install $Sogou_Input"
        if [ $? -ne 0 ]; then
            content="The software package installation has failed，Please manually execute [sudo apt install sogouimebs] to view more details"
            tr_content=$(Translate "${content}")
            ShowMessageBox "${DBUS_PATH}" "${tr_content}" "error"
            exit 1
        fi
    else
        #无网情况下清理配置重启
        local confirm_msg="The network is unavailable, This repair will clean the input method configuration, Are you sure you want to proceed with this operation?"
        local tr_confirm_msg
        tr_confirm_msg=$(Translate "${confirm_msg}")
        local select
        select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_msg}" "question")
        if [ "${select}" == "no" ]; then
            exit 255
        fi
        rm -rf "/home/$(whoami)/.config/fcitx"
    fi
    #重启输入法
    echo "restart fcitx"
    fcitx -r
    content="The issue has been successfully resolved"
    tr_content=$(Translate "${content}")
    ShowMessageBox "${DBUS_PATH}" "${tr_content}" "info"
}

main
